let proxy = {
  "/ocean/api": {
    target: "http://192.168.10.30:10060",
    changeOrigin: true,
  },
  "/skynet/api": {
    target: "http://192.168.10.39:8030",
    changeOrigin: true,
  },
};

var webpack = require("webpack");
module.exports = {
  lintOnSave: process.env.NODE_ENV !== "production" ? true : "error",
  devServer: {
    proxy,
  },
  configureWebpack: {
    devtool: "source-map",
    plugins: [
      // Ignore all locale files of moment.js
      // TODO: use webpack stats to check if iview locale matters
      new webpack.IgnorePlugin(/^\.\/locale$/, /moment|iview$/),
    ],
  },
  transpileDependencies: [/\bvue-awesome\b/],
};
